import arcade
import jacovirt.logger
import logging

# Screen title and size
SCREEN_TITLE = "JacoVirt Bot"
SCREEN_MULTILPLIER = 1
SCREEN_WIDTH = int(1000 * SCREEN_MULTILPLIER)
SCREEN_HEIGHT = int(1000 * SCREEN_MULTILPLIER)

# Window color
BACKGROUND_COLOR = arcade.color.CATALINA_BLUE

class Bot(arcade.Window):
    """Main application class"""

    def __init__(self):
        # Init parent class
        super().__init__(int(SCREEN_WIDTH), int(SCREEN_HEIGHT), SCREEN_TITLE)
        # Set background color
        arcade.set_background_color(BACKGROUND_COLOR)

    def setup(self):
        """Set up the pad"""
        logging.info("Set up the bot.")

    def on_draw(self):
        """Render the screen"""

        # Clear the screen
        self.clear()

    def on_key_press(self, symbol, modifiers):
        """Called when the user presses key"""
        if symbol == arcade.key.R:
            self.setup()
            print("Restart !")

        if symbol == arcade.key.Q:
            arcade.exit()

def main():
    """Main method"""
    window = Bot()
    window.setup()
    arcade.run()